<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['maxWidth' => 'max-w-md']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['maxWidth' => 'max-w-md']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<div x-data="toggle(false)" x-show="open" x-cloak <?php echo e($attributes); ?> @keydown.escape.window="close()"
    class="fixed inset-0 z-50 flex items-start justify-center px-4 py-6 sm:px-6 lg:px-8">

    <!-- Backdrop -->
    <div x-show="open" x-transition.opacity.duration.200ms class="absolute inset-0 bg-black/50 backdrop-blur-sm"
        @click="close()">
    </div>

    <!-- Modal -->
    <div x-show="open" x-transition.opacity @click.away="close()"
        class="
            relative
            w-full
            <?php echo e($maxWidth); ?>

            bg-white dark:bg-gray-800
            rounded-xl
            shadow-xl
            p-6
            overscroll-contain scrollbar-thin
            my-4
            max-h-[calc(100vh-5rem)]
            overflow-y-auto
        ">
        <?php echo e($slot); ?>

    </div>

</div>
<?php /**PATH /Users/macuser/Herd/Novabank/resources/views/components/modal.blade.php ENDPATH**/ ?>